import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceGetLegalPersonUnitInfoService = createAsyncThunk(
  "PROVINCE_GET_LEGAL_PERSON_UNIT_INFO_SERVICE",
  async (nationalCode, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.get(
        `get_legal_person_unit_info/?national_code=${nationalCode}`
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response?.data?.result || e.response?.data || "خطا در دریافت اطلاعات" };
    }
  }
);

